if($('.homemore').length>0){
	var  bhide = null;
	$('.homemore').mouseover(function(){
		iboxshow()
	});
	
	$('.homemore').mouseout(function(){
		bhide = setTimeout(iboxhide,200);	
	});
	
	$('.ibox').mouseover(function(){
		clearTimeout(bhide);
	});
	
	$('.ibox').mouseout(function(){
		bhide = setTimeout(iboxhide,200);	
	});
	
	function bhide(){
		
	}
	
	function iboxhide(){
	$('.tjian').hide();
	$('.ibox').hide();
	};
	
	function iboxshow(){
		$('.tjian').show();
		$('.ibox').show();
	};
	
	$('.sipx').hover(function(){
		$(this).addClass('cur');
	},function(){
		$(this).removeClass('cur');
	})
};
//首页搜索记录切换
if($('.keyt').length>0){
	$('.keyt').find('span').click(function(){
		$(this).addClass('cur').siblings().removeClass('cur');
		$('.keycon').find('p').eq($(this).index()).slideDown().siblings().slideUp();
	})	
}
// 进入搜索页面
function ss_(){
	var ss_text = encodeURIComponent(document.getElementById('q').value).replace(/[ ]/g,"");
	if(ss_text == ''){

		alert('亲，你么有输入关键词');
	}else{
		
		location.href = '/p/'+ss_text+'/';
		
	};
};
// 进入BT搜索页面
function ssbt_(){
	var ss_text = encodeURIComponent(document.getElementById('q').value).replace(/[ ]/g,"");
	if(ss_text == ''){

		alert('亲，你么有输入关键词');
	}else{
		
		location.href = '/bt/'+ss_text+'/';
		
	};
};
//滚动
window.onscroll = function(){
        var scroll_top = document.body.scrollTop || document.documentElement.scrollTop;
        // console.log(scroll_top); 
        if(scroll_top >= 1){
           $('#head').addClass('s_down')
        }else {
				$('#head').removeClass('s_down')
			}
    }

//搜索联想
var changeStr = '';   //初始化一个

function FillUrls() {
    //获取用户输入的关键字
    var strdomin = $("#q").val()

    //如果请求为空的话就不进行请求
    if (strdomin == null || strdomin == "") {
        $("#kaRuiSug").empty();
        $("#kaRuiSug").hide();
        return;
    }
    //跟上次请求的关键字相同就返回
    //    if (changeStr == strdomin)
    //        return;  

    changeStr = strdomin;
    window.status = "请求中";

    //封装请求百度服务器的参数（只有关键字是动态的，其他几个参数都是固定的）
    var qsData = { 'wd': strdomin, 'p': '3', 'cb': 'ShowDiv', 't': new Date().getMilliseconds().toString() };
    //发jsonp（跨域请求js）
    $.ajax({
        async: false,
        url: "http://suggestion.baidu.com/su",
        type: "GET",
        dataType: 'jsonp',
        jsonp: 'jsoncallback',
        data: qsData,
        timeout: 5000,
        success: function (json) {
        },
        error: function (xhr) {
        }
    });
}

function ShowDiv(strurls) {
    kaRuiSugDisplay(strurls);
    window.status = "请求结束";
    qBiao();
}

function kaRuiSugDisplay(kaRuiSugStr) {
    var Info = kaRuiSugStr['s']   //拿到关键字提示

    var wordText = $("#q").val();
    var kaRuiSugNode = $("#kaRuiSug");   //缓存对象（弹出框）
    if (Info.length == 0) {
        kaRuiSugNode.hide();
        return false;
    }

    kaRuiSugNode.empty();  //清空上次
    for (var i = 0; i < Info.length; i++) {
        var wordNode = Info[i];   //弹出框里的每一条内容

        var newDivNode = $("<div>").attr("id", i);    //设置每个节点的id值
        newDivNode.attr("style", "font:14px/25px arial;height:25px;padding:0 8px;cursor: pointer;");
        newDivNode.html(wordNode).appendTo(kaRuiSugNode);  //追加到弹出框
        //鼠标移入高亮，移开不高亮
        newDivNode.mouseover(function () {
            if (highlightindex != -1) {        //原来高亮的节点要取消高亮（是-1就不需要了）
                kaRuiSugNode.children("div").eq(highlightindex).css("background-color", "white");
            }
            //记录新的高亮节点索引
            highlightindex = $(this).attr("id");
            $(this).css("background-color", "#ebebeb");
        });
        newDivNode.mouseout(function () {
            $(this).css("background-color", "white");
        });

        //鼠标点击文字上屏
        newDivNode.click(function () {
            //取出高亮节点的文本内容
            var comText = kaRuiSugNode.hide().children("div").eq(highlightindex).text();
            highlightindex = -1;
            //文本框中的内容变成高亮节点的内容
            $("#q").val(comText);
        })
        if (Info.length > 0) {    //如果返回值有内容就显示出来
            kaRuiSugNode.show();
        } else {               //服务器端无内容返回 那么隐藏弹出框
            kaRuiSugNode.hide();
            //弹出框隐藏的同时，高亮节点索引值也变成-1
            highlightindex = -1;
        }

    }

}

var timeoutId;   //延迟请求服务器
var highlightindex = -1;   //高亮
$(function () {
    $("#q").keyup(function (event) {
        var myEvent = event || window.event;
        var keyCode = myEvent.keyCode;    //键值 不同的值代表不同的键  13是回车等
        //console.log(keyCode);

        //只有按键盘的字母键、退格、删除、空格、ESC等键才进行响应：8退格backspace 46删除delete 空格32
        if (keyCode >= 65 && keyCode <= 90 || keyCode >= 48 && keyCode <= 57 || keyCode >= 96 && keyCode <= 111 || keyCode >= 186 && keyCode <= 222 || keyCode == 8 || keyCode == 46 || keyCode == 32 || keyCode == 13) {
            //考虑到请求是百度的服务器，故不需要考虑性能问题，没必要等几秒再请求，直接实时请求。如果延时请求，解开下面代码即可
            //                    clearTimeout(timeoutId);
            //                    timeoutId = setTimeout(function () {
            //                        timeoutId = FillUrls();
            //                    }, 500)
            FillUrls();
            if (highlightindex != -1) {
                highlightindex = -1;
                //kaRuiSugNodes.eq(highlightindex).css("background-color", "white");
            }
        }

        else if (keyCode == 38 || keyCode == 40) {
            if (keyCode == 38) {       //向上
                var kaRuiSugNodes = $("#kaRuiSug").children("div")
                if (highlightindex != -1) {
                    //如果原来存在高亮节点，则将背景色改称白色

                    kaRuiSugNodes.eq(highlightindex).css("background-color", "white");
                    highlightindex--;
                } else {
                    highlightindex = kaRuiSugNodes.length - 1;
                }
                if (highlightindex == -1) {
                    //如果修改索引值以后index变成-1，则将索引值指向最后一个元素
                    highlightindex = kaRuiSugNodes.length - 1;
                }
                //让现在高亮的内容变成红色
                kaRuiSugNodes.eq(highlightindex).css("background-color", "#ebebeb");

                //取出当前选中的项 赋值到输入框内
                var comText = kaRuiSugNodes.eq(highlightindex).text();
                $("#q").val(comText);
            }
            if (keyCode == 40) {    //向下
                var kaRuiSugNodes = $("#kaRuiSug").children("div")
                if (highlightindex != -1) {
                    //如果原来存在高亮节点，则将背景色改称白色
                    kaRuiSugNodes.eq(highlightindex).css("background-color", "white");
                }
                highlightindex++;
                if (highlightindex == kaRuiSugNodes.length) {
                    //如果修改索引值以后index变成-1，则将索引值指向最后一个元素
                    highlightindex = 0;
                }
                //让现在高亮的内容变成红色
                kaRuiSugNodes.eq(highlightindex).css("background-color", "#ebebeb");

                var comText = kaRuiSugNodes.eq(highlightindex).text();
                $("#q").val(comText);
            }
        } else if (keyCode == 13) {     //回车
            //下拉框有高亮内容
            if (highlightindex != -1) {
                //取出高亮节点的文本内容
                var comText = $("#kaRuiSug").hide().children("div").eq(highlightindex).text();
                highlightindex = -1;
                //文本框中的内容变成高亮节点的内容
                $("#q").val(comText);
            } else {
                //下拉框没有高亮内容
                $("#kaRuiSug").hide();

                //已经提交，让文本框失去焦点（再点提交或者按回车就不会触发keyup事件了）
                $("#q").get(0).blur();
            }
        } else if (keyCode == 27) {    //按下Esc 隐藏弹出层
            if ($("#kaRuiSug").is(":visible")) {
                $("#kaRuiSug").hide();
                 $("#hotseach").hide();
            }
        }
    });

    //点击页面隐藏自动补全提示框
    document.onclick = function (e) {
        var e = e ? e : window.event;
        var tar = e.srcElement || e.target;
        if (tar.id != "seachipx") {
            if ($("#kaRuiSug").is(":visible")) {
                $("#kaRuiSug").css("display", "none")
            }
        }
    }
});